Skip to main content
GET
Get agent details

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required
Minimum string length: 1

Response

Get agent details

Detailed agent info including account data

agentId
string
required

Unique agent identifier

type
enum<string>
required

Agent type: SALES = sales/media agent, SIGNAL = signal/data agent, CREATIVE = creative agent, OUTCOME = outcome measurement agent

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
name
string
required

Agent display name

endpointUrl
string
required

Agent endpoint URL (empty string for COMING_SOON agents)

protocol
enum<string>
required

Agent protocol

Available options:
MCP,
A2A
authenticationType
enum<string>
required

Authentication method

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH,
BASIC_AUTH
requiresOperatorAuth
boolean
required

Whether the agent requires the operator to provide credentials. When true, buyers must register their own credentials.

status
enum<string>
required

Agent status. COMING_SOON is returned for PENDING agents not owned by the caller.

Available options:
PENDING,
ACTIVE,
DISABLED,
COMING_SOON
relationship
enum<string>
required

Relationship: SELF = owned by you, MARKETPLACE = all other marketplace agents

Available options:
SELF,
MARKETPLACE
customerId
integer
required

Owner customer ID

Required range: -9007199254740991 <= x <= 9007199254740991
customerAccountCount
integer
required

Number of customer accounts for this agent

Required range: -9007199254740991 <= x <= 9007199254740991
hasCustomerAccount
boolean
required

Whether the caller has an account for this agent

hasMasterAccount
boolean
required

Whether a marketplace account exists for this agent

createdAt
string<date-time>
required

When the agent was created (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required

When the agent was last updated (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
description
string | null

Agent description

billingOptions
object | null

Billing arrangement options supported by this partner, from its AdCP capabilities. Null when capabilities have not been fetched yet.

reportingType
enum<string> | null

Reporting type

Available options:
WEBHOOK,
BUCKET,
POLLING
reportingPollingCadence
enum<string> | null

Polling cadence (when reportingType is POLLING)

Available options:
DAILY,
MONTHLY
customerAccount
object

Caller's account details, if any

oauth
object | null

Present for owner PENDING OAUTH agents without tokens